<?php
global $is_logged_in;
if (!$is_logged_in) {
    echo "Please login first. <br>";
    $_SESSION['login_referer'] = $_SERVER['HTTP_REFERER'];
    redirect("index.php?page=login", 2);
    include('footer.html');
    exit();
}

$action = filter_input(INPUT_GET, "action", FILTER_SANITIZE_STRING);

global $connection;
$sql_pquery = "select NomCl, PrenomCl, EmailCl, NumRueCl, NomRueCl, CodePosteCl, VilleCl from CLIENTS where EmailCl = ?";
$connection->prepare_query($sql_pquery);
$connection->prepared_query_bind_param("s", array($_SESSION['email']));
$connection->run_prepared_query();
$connection->get_pquery_result();
$rows = $connection->get_result_array();
$connection->close_prepared_query();

if (empty($action)) {
    echo "<h2>Mes informations</h2>\n";

    echo "<table id=\"taccount\">\n";
    foreach ($rows as $row) {
        echo " <tr>\n";
        echo "  <td align=\"right\" valign=\"middle\">Pre&#769;nom : </td>\n";
        echo "  <td align=\"left\" valign=\"middle\">" . htmlentities($row['PrenomCl']) . "</td>\n";
        echo " </tr>\n";

        echo " <tr>\n";
        echo "  <td align=\"right\" valign=\"middle\">Nom : </td>\n";
        echo "  <td align=\"left\" valign=\"middle\">" . htmlentities($row['NomCl']) . "</td>\n";
        echo " </tr>\n";

        echo " <tr>\n";
        echo "  <td align=\"right\" valign=\"middle\">Email : </td>\n";
        echo "  <td align=\"left\" valign=\"middle\">" . htmlentities($row['EmailCl']) . "</td>\n";
        echo " </tr>\n";

        echo " <tr>\n";
        echo "  <td align=\"right\" valign=\"middle\">Adresse : </td>\n";
        echo "  <td align=\"left\" valign=\"middle\"></td>\n";
        echo " </tr>\n";

        echo " <tr>\n";
        echo "  <td align=\"right\" valign=\"middle\">Nume&#769;ro de rue : </td>\n";
        echo "  <td align=\"left\" valign=\"middle\">" . htmlentities($row['NumRueCl']) . "</td>\n";
        echo " </tr>\n";

        echo " <tr>\n";
        echo "  <td align=\"right\" valign=\"middle\">Rue : </td>\n";
        echo "  <td align=\"left\" valign=\"middle\">" . htmlentities($row['NomRueCl']) . "</td>\n";
        echo " </tr>\n";

        echo " <tr>\n";
        echo "  <td align=\"right\" valign=\"middle\">Code postal : </td>\n";
        echo "  <td align=\"left\" valign=\"middle\">" . htmlentities($row['CodePosteCl']) . "</td>\n";
        echo " </tr>\n";

        echo " <tr>\n";
        echo "  <td align=\"right\" valign=\"middle\">Ville : </td>\n";
        echo "  <td align=\"left\" valign=\"middle\">" . htmlentities($row['VilleCl']) . "</td>\n";
        echo " </tr>\n";
    }
    echo "</table>\n";

    echo "| <a href=\"" . $configs['root_url'] . "/index.php?page=account&action=modifyaccount\">Modifier vos informations</a> | <a href=\"" . $configs['root_url'] . "/index.php?page=account&action=modifypassword\">Modifier votre mot de passe</a> |\n";
    echo "<h2><a href=\"" . $configs['root_url'] . "/index.php?page=reservations\">Mes re&#769;servations</a></h2>\n";
} elseif ($action === "modifyaccount") {
    echo "
    <form action=\"index.php\" id=\"faccount\" method=\"post\">
     <input type=\"hidden\" name=\"form\" value=\"account\" />
     <label> Pre&#769;nom : </label>
     <input type=\"text\" size=\"25\" name=\"firstname\" value=\"" . $rows[0]['PrenomCl'] . "\" required/>
     <label> Nom : </label>
     <input type=\"text\" size=\"25\" name=\"name\" value=\"" . $rows[0]['NomCl'] . "\" required/>
     <label> Email : </label>
     <input type=\"email\" size=\"25\" name=\"email\" value=\"" . $rows[0]['EmailCl'] . "\" required/>
         <label> Adresse : <br> Nume&#769;ro de rue : </label>
         <input type=\"number\" size=\"5\" name=\"numstreet\" value=\"" . $rows[0]['NumRueCl'] . "\" required/>
         <label> Rue : </label>
         <input type=\"text\" size=\"50\" name=\"street\" value=\"" . $rows[0]['NomRueCl'] . "\" required/>
         <label> Code postal : </label>
         <input type=\"number\" size=\"5\" name=\"postalcode\" value=\"" . $rows[0]['CodePosteCl'] . "\" required/>
         <label> Ville : </label>
         <input type=\"text\" size=\"15\" name=\"city\" value=\"" . $rows[0]['VilleCl'] . "\" required/>
     <input type=\"submit\" value=\"Valider\">
    </form>
    <br>\n";
} elseif ($action === "modifypassword") {
    echo "
    <form action=\"index.php\" id=\"fpassword\" method=\"post\">
     <input type=\"hidden\" name=\"form\" value=\"account\" />
     <label> Ancien mot de passe : </label>
     <input type=\"password\" size=\"15\" name=\"oldpassword\" required/>
     <label> Nouveau mot de passe : </label>
     <input type=\"password\" minlength=\"8\" size=\"15\" name=\"password\" pattern=\"(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).*\" title=\"Doit contenir 8 caracte&#768;res minimum dont une majuscule, une minuscule et un chiffre\" required/>
     <label> Confirmation du mot de passe : </label>
     <input type=\"password\" minlength=\"8\" size=\"15\" name=\"confirmpassword\" pattern=\"(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).*\" title=\"Doit contenir 8 caracte&#768;res minimum dont une majuscule, une minuscule et un chiffre\" required/>
     <input type=\"submit\" value=\"Valider\">
    </form>
    <br>\n";
} else {
    echo "Unknown account action. <br>\n";
}

?>
